Subject: bug#78240: 30.1; xoauth2 authentication fails in gnus imap mail fetching

From: Robert Pluim <[email-masked]>
Date: Mon, 05 May 2025 16:25:05 +0200

>>>>> On Sun, 04 May 2025 23:10:09 -0400, Anush V <[email-masked]> said:

    Anush> I tested nnimap and it works as expected. However, unlike
    Anush> mail-sources, nnimap doesn't download emails to my machine.

It will if you configure `nnimap-split-methods' to copy from the
nnimap backend to a local one. Or just copy the emails manually.

(I took a look at imap.el. It currently has zero integration with
auth-source, so getting nnimap to work should be a lot easier).

Robert
--